const initState = {
  isLogin:false,
  safeArea: {},
  statusBarHeight: 20,
  accountId: '',
  accountName: '',
  companyId: '',
  avatorUrl: '',
}


export default (state = initState, { type, payload }) => {
  switch (type) {
    case 'app/update':
      return {
        ...state,
        ...payload,
      };
    case 'app/login':
     return {
       ...state,
      isLogin: true,
      ...payload,
     }
    case 'app/logout':
      return {
        ...state,
        isLogin: false,
        accountId: '',
        accountName: '',
        customerType: '', // 'provider' | 'ent' ent: 企业用户 | provider: 华能用户
        customerId: '',
        customerName: '',
        customerShortName: '',
        orgId: '',
      }
    default:
      return state;
  }
}
